*******************************************************************************
*********merge data sets ***********************************************
************************************************************
******************************************************************************* 

version 14
clear
set 				more off 
 
capture 			log close

	
global 				orig 		"L:\Ablagen\D01700-FG-BAM\!Projekte\Arbeitenviernull\DigiWages\data-orig"
global 				source 		"L:\Ablagen\D01700-IAB-Projekte\D01700-BEH-Stichtag\anonym\data-2015"	
global 				temp		"L:\Ablagen\D01700-FG-BAM\!Projekte\Arbeitenviernull\DigiWages\data-temp"
global 				intermed	"L:\Ablagen\D01700-FG-BAM\!Projekte\Arbeitenviernull\DigiWages\data-intermed"
global 				log			"L:\Ablagen\D01700-FG-BAM\!Projekte\Arbeitenviernull\DigiWages\log"
							
capture 			log close
log using 			"$log/merge-data-resub.log",  replace
	
use 				"$temp\Treatment-Sample.dta", clear

count

merge 1:1 id using "$orig\a013840_rel_input_id_betnr.dta"
drop _merge


sort betnr
by betnr: gen bm=_n==1
tab bm
rename betnr bnr
keep  bnr  T* diff_psel diff_dsel sektor p_ind* p_sel* p_man* d_ind* d_sel* d_man* 
gen year=.
save "$intermed\sample_bnr.dta", replace


forvalues X= 2010/2016{
	use "$intermed/sample_bnr.dta", clear
	merge 1:m bnr using "$source\clean`X'.dta"
	keep if _merge==3
	drop _merge
	replace year=`X'
	save "$intermed\Arbeitswelt_resub_`X'.dta", replace
}




use "$intermed\Arbeitswelt_resub_2010.dta", clear
forvalues X=2011/2016{
	append using  "$intermed\Arbeitswelt_resub_`X'.dta"
	}
	
sort vsnr year	
order vsnr bnr year
save "$intermed\Arbeitswelt_resub_2010-2016.dta", replace



exit

